{
  "name": "besonders-logger",
  "version": "1.0.2",
  "type": "module",
  "license": "MIT",
  "homepage": "https://gitlab.com/onezoomin/ztax/ztax/-/tree/trunk/lib/logger",
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/onezoomin/ztax/ztax.git"
  },
  "author": "tennox@txlab.io",
  "main": "./dist/index.cjs",
  "module": "./dist/index.js",
  "browser": "./dist/index.js",
  "types": "./dist/index.d.ts",
  "exports": {
    ".": {
      "require": "./dist/index.cjs",
      "import": "./dist/index.js",
      "types": "./dist/index.d.ts"
    }
  },
  "bin": {
    "besonders-install-snippets": "./.vscode/install-snippets.sh"
  },
  "publishConfig": {
    "access": "public"
  },
  "scripts": {
    "build": "rm -rf dist/ && concurrently \"pnpm build:code\" \"pnpm build:types\"",
    "build:code": "tsup --external esbuild",
    "build:types": "tsc --emitDeclarationOnly --declaration",
    "buildOLD": "node ../../scripts/buildmjs.mjs ./src/index.ts",
    "build1type": "time pnpm tsc --emitDeclarationOnly --declaration --outFile dist/index.d.ts",
    "pub": "npm publish --access public --tag latest",
    "npmtag": "echo 'npm dist-tag add logger@0.1.1 latest'"
  },
  "dependencies": {
    "browser-or-node": "^2.1.1",
    "colors": "^1.4.0",
    "fast-json-stable-stringify": "^2.1.0"
  },
  "devDependencies": {
    "@types/colors": "^1.2.1",
    "@types/node": "^18.15.3",
    "concurrently": "^8.2.2",
    "tsup": "^8.0.1",
    "vite-tsconfig-paths": "^4.0.2"
  }
}
